org.apache.lucene.luke.app.desktop.components

## Class ComponentOperatorRegistry

- java.lang.Object
- - org.apache.lucene.luke.app.desktop.components.ComponentOperatorRegistry

-     public class ComponentOperatorRegistry
      extends Object

  An utility class for interaction between components

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `ComponentOperatorRegistry.ComponentOperator` marker interface for operators

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComponentOperatorRegistry()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `<T extends ComponentOperatorRegistry.ComponentOperator> Optional<T>` | `get(Class<T> type)`
    `static ComponentOperatorRegistry` | `getInstance()`
    `<T extends ComponentOperatorRegistry.ComponentOperator> void` | `register(Class<T> type, T operator)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ComponentOperatorRegistry

          public ComponentOperatorRegistry()

  - ### Method Detail

    - #### getInstance

          public static ComponentOperatorRegistry getInstance()

    - #### register

          public <T extends ComponentOperatorRegistry.ComponentOperator> void register(Class<T> type,
                                                                                       T operator)

    - #### get

          public <T extends ComponentOperatorRegistry.ComponentOperator> Optional<T> get(Class<T> type)

Copyright © 2000-2024 Apache Software Foundation. All Rights Reserved.